%define upstream_name	 Rose-URI
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	An alternative to URI
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Rose/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(overload)
BuildRequires:	perl(Rose::Object) >= 0.015
BuildRequires:	perl(URI)
## scottk ##
## perl(URI::Escape) is provided by perl-URI, which requirement is
## satisfied when the perl(URI) requirement is satisfied
##BuildRequires:	perl(URI::Escape)
BuildArch:	noarch


%description
Rose::URI is a standalone URI class allowing easy and efficient
manipulation of query parameters and other URI components.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc Changes META.yml
%{_mandir}/man*/*
%{perl_vendorlib}/Rose


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-5.mga10
+ Revision: 2211792
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.20.0-4.mga9
+ Revision: 1830207
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-3.mga8
+ Revision: 1506164
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1285961
- Mageia 7 Mass Rebuild

* Sat Jul 29 2017 sander85 <sander85> 1.20.0-1.mga7
+ Revision: 1132462
- update to 1.02

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-7.mga6
+ Revision: 1032936
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 930682
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 740703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 686117
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 514483
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 372323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 31087
- mageia rebuild
- imported package perl-Rose-URI

